/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Cross Validation</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.CrossValidation#getNumber <em>Number</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getCrossValidation()
 * @model
 * @generated
 */
public interface CrossValidation extends StrategyEvaluation
{
  /**
   * Returns the value of the '<em><b>Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Number</em>' attribute.
   * @see #setNumber(int)
   * @see fr.istic.mML.MMLPackage#getCrossValidation_Number()
   * @model
   * @generated
   */
  int getNumber();

  /**
   * Sets the value of the '{@link fr.istic.mML.CrossValidation#getNumber <em>Number</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Number</em>' attribute.
   * @see #getNumber()
   * @generated
   */
  void setNumber(int value);

} // CrossValidation
